#%RAML 1.0
baseUri: https://anypoint.mulesoft.com/mocking/api/v1/links/49f3dac0-806d-423f-a3f8-f5c8070f009c/ # 
version: v1
title: Process Free FB API
description: Free FB Process API

types:
  requestFreeFB: !include Datatype/requestFreeFB.raml
  responseFreeFB: !include exchange_modules/a9d53ff2-5476-4a1f-8d1a-b19eb82612cc/api-response-datatype-api/1.0.0/api-response-datatype-api.raml

traits:
  headerTrait: !include exchange_modules/a9d53ff2-5476-4a1f-8d1a-b19eb82612cc/header-securable/1.0.0/header-securable.raml
/fb:
  post:
    is:
      - headerTrait
    description: API that processes Free FB via Apigee
    headers:
      correlationId:
        type: string
        description: Transaction ID for the transaction
        example: "0-dbfedf90-284c-11e9-ac48-dca90494651"
    body:
      application/json:
        type: requestFreeFB
        example: !include Examples/requestFreeFBValidExample.json
    responses:
      200:
        body:
          application/json:
            type: responseFreeFB
            example: !include Examples/responseFreeFBValidExample.json
      400:
        body:
          application/json:
            type: responseFreeFB
            example: !include Examples/responseFreeFBError400Example.json
      404:
        body:
          application/json:
            type: responseFreeFB
            example: !include Examples/responseFreeFBError404Example.json
      405:
        body:
          application/json:
            type: responseFreeFB
            example: !include Examples/responseFreeFBError405Example.json
      
      500:
        body:
          application/json:
            type: responseFreeFB
            example: !include Examples/responseFreeFBError500Example.json